Deep Security Manager REST API

Path: / rest / status / manager / item / {item}

Query a specific item for all available manager nodes under the default fail rate and threshold for this item.

Valid Query Items:

ItemDescriptionDefault Threshold
cpuCheck if CPU overloading.≥ 85 (%)
memoryCheck if memory usage too high.≥ 85 (%)
eventCheck if too many events were generated.≥ 1000
jobCheck if too many jobs were created.≥ 1000
diskCheck if free disk space is not enough.≤ 10 (%)

Response Status Codes:

CodeDescription
200 (OK)Everything is fine.
400 (Bad Request)Returned if the fail rate or threshold value is invalid
403 (Forbidden)The status monitoring query is disabled. Please enable status monitoring before running the query.
500 (Internal Server Error)Multiple errors found during the general status query
501 (Not Implemented)The query item is not implemented or the item keyword is incorrect. Please check correct keyword to query again.
503 (Service Unavailable)Database connections failed. Please check the database or try it later.
521 (CPU Overloading)CPU loading is OVER the threshold. Default CPU loading threshold is 85%.
531 (High Memory Usage)Memory usage is OVER the threshold. Default memory usage threshold is 85%.
541 (Too Many Events)Too many events are generated and is OVER the threshold. Default event generated threshold is 1000.
551 (Too Many Jobs)Too many jobs are created and is OVER the threshold. Default job created threshold is 1000.
507 (Insufficient Storage)Free disk space is UNDER the threshold. Default low disk space threshold is 10%.

Path parameters:
item - Query the overall status for the specified item.

Resources
NameDescription
{failRate}Query a specific item for all available manager nodes by the desired fail rate but using default threshold.

Method Summary
ResourceDescription
GET /rest/status/manager/item/{item}Query a specific item for all available manager nodes under the default fail rate and threshold for this item.

Method Detail
HTTP Example:
GET /rest/status/manager/item/{item}

API Example:

IStatusAPI.getDetailStatus({'item': /* item Query the overall status for the specified item. */});

Query a specific item for all available manager nodes under the default fail rate and threshold for this item.

Valid Query Items:

ItemDescriptionDefault Threshold
cpuCheck if CPU overloading.≥ 85 (%)
memoryCheck if memory usage too high.≥ 85 (%)
eventCheck if too many events were generated.≥ 1000
jobCheck if too many jobs were created.≥ 1000
diskCheck if free disk space is not enough.≤ 10 (%)

Response Status Codes:

CodeDescription
200 (OK)Everything is fine.
400 (Bad Request)Returned if the fail rate or threshold value is invalid
403 (Forbidden)The status monitoring query is disabled. Please enable status monitoring before running the query.
500 (Internal Server Error)Multiple errors found during the general status query
501 (Not Implemented)The query item is not implemented or the item keyword is incorrect. Please check correct keyword to query again.
503 (Service Unavailable)Database connections failed. Please check the database or try it later.
521 (CPU Overloading)CPU loading is OVER the threshold. Default CPU loading threshold is 85%.
531 (High Memory Usage)Memory usage is OVER the threshold. Default memory usage threshold is 85%.
541 (Too Many Events)Too many events are generated and is OVER the threshold. Default event generated threshold is 1000.
551 (Too Many Jobs)Too many jobs are created and is OVER the threshold. Default job created threshold is 1000.
507 (Insufficient Storage)Free disk space is UNDER the threshold. Default low disk space threshold is 10%.

Output:
javax.ws.rs.core.Response

Copyright © 2015 Trend Micro Inc. All Rights Reserved.